MyLibs 1.0 Расширенные библиотеки для STM32

Loading...
Searching...
No Matches
SEGGER_RTT_BUFFER_UP Struct Reference

## Public Attributes
const char * | sName
char * | pBuffer
unsigned | SizeOfBuffer
unsigned | WrOff
volatile unsigned | RdOff
unsigned | Flags

## Detailed Description

Definition at line 317 of file SEGGER_RTT.h.

## Member Data Documentation

## ◆ sName

const char* SEGGER_RTT_BUFFER_UP::sName

Definition at line 318 of file SEGGER_RTT.h.

## ◆ pBuffer

char* SEGGER_RTT_BUFFER_UP::pBuffer

Definition at line 319 of file SEGGER_RTT.h.

## ◆ SizeOfBuffer

unsigned SEGGER_RTT_BUFFER_UP::SizeOfBuffer

Definition at line 320 of file SEGGER_RTT.h.

## ◆ WrOff

unsigned SEGGER_RTT_BUFFER_UP::WrOff

Definition at line 321 of file SEGGER_RTT.h.

## ◆ RdOff

volatile unsigned SEGGER_RTT_BUFFER_UP::RdOff

Definition at line 322 of file SEGGER_RTT.h.

## ◆ Flags

unsigned SEGGER_RTT_BUFFER_UP::Flags

Definition at line 323 of file SEGGER_RTT.h.

The documentation for this struct was generated from the following file:

- E:/.WORK/STM32/STM_Libs/STM32_ExtendedLibs/RTT/SEGGER_RTT.h